title: C4C Custom Role FinOps
description: Custom role with permissions for Cross4FinOps service.
stage: ALPHA
includedPermissions:
- bigquery.datasets.create
- bigquery.datasets.get
- bigquery.jobs.create
- bigquery.tables.export
- bigquery.tables.get
- bigquery.tables.getData
- cloudfunctions.functions.invoke
- compute.instances.setLabels
- compute.instances.update
- compute.regions.list
- cloudsql.instances.get
- cloudsql.instances.update
- iam.roles.get
- pubsub.subscriptions.getIamPolicy
- pubsub.topics.getIamPolicy
- resourcemanager.projects.getIamPolicy
- run.jobs.run
- run.routes.invoke
- run.services.create
- run.services.delete
- run.services.get
- run.services.getIamPolicy
- run.services.list
- run.services.update
- storage.buckets.getIamPolicy
- storage.buckets.setIamPolicy
- storage.buckets.update